phing-types-selectors

# Class: SelectorScanner Source Location: /types/selectors/SelectorScanner.php
### Interface Overview
An interface used to describe the actions required by any type of directory scanner that supports Selecters. #### Author(s): Hans Lellelid <hans@xmpl.org> (Phing) Bruce Atherton <bruce@callenish.com> (Ant) | ### Methods getDeselectedDirectories getDeselectedFiles setSelectors
### Class Details [line 32] An interface used to describe the actions required by any type of directory scanner that supports Selecters. #### Tags:
author: | Hans Lellelid <hans@xmpl.org> (Phing)
author: | Bruce Atherton <bruce@callenish.com> (Ant)
[ Top ] ### Class Methods ### method getDeselectedDirectories [line 46]
`void getDeselectedDirectories( selectors 0)`
Directories which were selected out of a scan. #### Tags:
access: | public
#### Parameters:
selectors | 0 | list selector objects
[ Top ] ### method getDeselectedFiles [line 53]
`void getDeselectedFiles( selectors 0)`
Files which were selected out of a scan. #### Tags:
access: | public
#### Parameters:
selectors | 0 | list selector objects
[ Top ] ### method setSelectors [line 39]
`void setSelectors( selectors $selectors)`
Sets the selectors the scanner should use. #### Tags:
access: | public
#### Parameters:
selectors | $selectors | the list of selectors
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:58 +0200 by phpDocumentor 1.4.3